## python-saharaclient 0.7.0

=== requirements.txt ===
Babel>=1.3
pbr>=0.6,<1.0
netaddr>=0.7.6
python-keystoneclient>=0.6.0
requests>=1.1
six>=1.5.2
PrettyTable>=0.7,<0.8

=== debian/changelog ===
python-saharaclient (0.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Apr 2014 07:38:47 +0000

python-saharaclient (0.6.0-1) experimental; urgency=low

  * Initial release (Closes: #742478).

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Mar 2014 14:58:19 +0800

=== debian/control ===
Source: python-saharaclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Gonéri Le Bouder <goneri@debian.org>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.6)
Build-Depends-Indep: python-babel (>= 1.3),
                     python-coverage (>= 3.6),
                     python-docutils (>= 0.9.1),
                     python-hacking (>= 0.8.0),
                     python-keystoneclient (>= 1:0.6.0),
                     python-mock (>= 1.0),
                     python-netaddr (>= 0.7.6),
                     python-oslosphinx,
                     python-prettytable (>=0.7),
                     python-requests (>= 1.1),
                     python-six (>= 1.5.2),
                     python-sphinx (>= 1.1.2),
                     python-subunit (>= 0.0.18),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-saharaclient.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/python-saharaclient.git
Homepage: https://github.com/openstack/python-saharaclient

Package: python-saharaclient
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-babel (>= 1.3),
         python-keystoneclient (>= 1:0.6.0),
         python-netaddr (>= 0.7.6),
         python-pbr (>= 0.6),
         python-prettytable (>=0.7),
         python-requests (>= 1.1),
         python-six (>= 1.5.2),
         ${misc:Depends},
         ${python:Depends}
Description: Client library for Openstack Sahara API server - Python 2.x module
 Sahara aims to provide users with simple means to provision a Hadoop cluster
 by specifying several parameters like Hadoop version, cluster topology, nodes
 hardware details and a few more.
 .
 This is a client for the Sahara which uses the OpenStack Image API. There's a
 Python API (the "saharaclient" module), and a command-line script ("sahara").

Package: python-saharaclient-doc
Architecture: all
Section: doc
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Client library for Openstack Sahara API server - documentation
 Sahara aims to provide users with simple means to provision a Hadoop cluster
 by specifying several parameters like Hadoop version, cluster topology, nodes
 hardware details and a few more.
 .
 This is a client for the Sahara which uses the OpenStack Image API. There's a
 Python API (the "saharaclient" module), and a command-line script ("sahara").
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-saharaclient; \
	done

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e ; \
		TEMP_REZ=`mktemp -t` ; \
		python setup.py testr --slowest --testr-args='--subunit  ' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b man doc/source doc/build/man
	cp doc/build/man/saharaclient.1 doc/build/man/sahara.1
	dh_installman -O--buildsystem=python_distutils
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/python-saharaclient-doc/usr/share/doc/python-saharaclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf doc/build

## python-saharaclient 0.7.3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0

Babel>=1.3
netaddr>=0.7.12
oslo.i18n>=0.3.0  # Apache-2.0
python-keystoneclient>=0.10.0
requests>=1.2.1,!=2.4.0
six>=1.7.0
PrettyTable>=0.7,<0.8
argparse

=== debian/changelog ===
python-saharaclient (0.7.3-1~cloud0) trusty-juno; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 06 Oct 2014 07:33:54 -0400

python-saharaclient (0.7.3-1) experimental; urgency=medium

  * New upstream release.
  * Uploading to experimental before the Jessie freeze.
  * Updated (build-)depends for this release.
  * Allow the unit tests to fail, because it isn't desirable to build with the
    keystone server up, which is what the unit tests are expecting.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Sep 2014 23:08:48 +0800

=== debian/control ===
--- 
+++ 
@@ -10,20 +10,24 @@
 Build-Depends: debhelper (>= 9),
                openstack-pkg-tools,
                python-all (>= 2.6.6-3~),
-               python-pbr (>= 0.6)
+               python-pbr (>= 0.6),
+               python-sphinx (>= 1.1.2)
 Build-Depends-Indep: python-babel (>= 1.3),
                      python-coverage (>= 3.6),
-                     python-docutils (>= 0.9.1),
                      python-hacking (>= 0.8.0),
-                     python-keystoneclient (>= 1:0.6.0),
+                     python-keystoneclient (>= 1:0.10.0),
                      python-mock (>= 1.0),
-                     python-netaddr (>= 0.7.6),
-                     python-oslosphinx,
+                     python-netaddr (>= 0.7.12),
+                     python-neutronclient (>= 2.3.6),
+                     python-novaclient (>= 2.18.0),
+                     python-oslo.config (>= 1.4.0.0~a3),
+                     python-oslo.i18n (>= 0.3.0),
+                     python-oslosphinx (>= 2.2.0.0~a2),
                      python-prettytable (>=0.7),
-                     python-requests (>= 1.1),
-                     python-six (>= 1.5.2),
-                     python-sphinx (>= 1.1.2),
+                     python-requests (>= 1.2.1),
+                     python-six (>= 1.7.0),
                      python-subunit (>= 0.0.18),
+                     python-swiftclient (>= 2.2.0),
                      subunit (>= 0.0.18),
                      testrepository (>= 0.0.18)
 Standards-Version: 3.9.5
@@ -35,12 +39,13 @@
 Architecture: all
 Pre-Depends: dpkg (>= 1.15.6~)
 Depends: python-babel (>= 1.3),
-         python-keystoneclient (>= 1:0.6.0),
-         python-netaddr (>= 0.7.6),
+         python-keystoneclient (>= 1:0.10.0),
+         python-netaddr (>= 0.7.12),
+         python-oslo.i18n (>= 0.3.0),
          python-pbr (>= 0.6),
          python-prettytable (>=0.7),
-         python-requests (>= 1.1),
-         python-six (>= 1.5.2),
+         python-requests (>= 1.2.1),
+         python-six (>= 1.7.0),
          ${misc:Depends},
          ${python:Depends}
 Description: Client library for Openstack Sahara API server - Python 2.x module
@@ -55,7 +60,7 @@
 Architecture: all
 Section: doc
 Pre-Depends: dpkg (>= 1.15.6~)
-Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Client library for Openstack Sahara API server - documentation
  Sahara aims to provide users with simple means to provision a Hadoop cluster
  by specifying several parameters like Hadoop version, cluster topology, nodes

=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,8 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	set -e ; \
 		TEMP_REZ=`mktemp -t` ; \
-		python setup.py testr --slowest --testr-args='--subunit  ' | tee $$TEMP_REZ | subunit2pyunit ; \
-		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
+		python setup.py testr --slowest --testr-args='--subunit  ' | tee $$TEMP_REZ | subunit2pyunit || true ; \
+		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true ; \
 		rm -f $$TEMP_REZ
 endif

## python-saharaclient 0.8.0

=== requirements.txt ===
--- 
+++ 
@@ -6,9 +6,10 @@
 
 Babel>=1.3
 netaddr>=0.7.12
-oslo.i18n>=0.3.0  # Apache-2.0
-python-keystoneclient>=0.10.0
-requests>=1.2.1,!=2.4.0
+oslo.i18n>=1.3.0  # Apache-2.0
+oslo.utils>=1.2.0                       # Apache-2.0
+python-keystoneclient>=1.0.0
+requests>=2.2.0,!=2.4.0
 six>=1.7.0
 PrettyTable>=0.7,<0.8
 argparse

=== debian/changelog ===
python-saharaclient (0.8.0-0ubuntu1~cloud0) trusty-kilo; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 16 Apr 2015 22:12:48 +0000

python-saharaclient (0.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release. (LP: #1444603)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 07 Apr 2015 13:15:52 -0400

python-saharaclient (0.7.6-0ubuntu1) vivid; urgency=medium

  * New upstream relesae. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 02 Jan 2015 09:02:36 -0500

python-saharaclient (0.7.5-0ubuntu1) vivid; urgency=medium

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 19 Nov 2014 11:52:33 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-saharaclient
 Section: python
 Priority: extra
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
            Ghe Rivero <ghe.rivero@stackops.com>,

## python-saharaclient 0.11.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr<2.0,>=1.6

Babel>=1.3
cliff>=1.14.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.12
oslo.i18n>=1.5.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
python-keystoneclient>=1.6.0
python-openstackclient>=1.5.0
requests>=2.5.2
six>=1.9.0
PrettyTable<0.8,>=0.7
argparse

=== debian/changelog ===
python-saharaclient (0.11.0-1ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 12 Nov 2015 18:58:58 +0000

python-saharaclient (0.11.0-1ubuntu1) wily; urgency=medium

  * d/p/remove-data-source-update.patch: Cherry-picked patch that drops
    entrypoint that does not point to a class (LP: #1505713).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 03 Nov 2015 14:16:05 -0500

python-saharaclient (0.11.0-1) experimental; urgency=medium

  * New upstream release.
  * d/control: Align dependencies and versions with upstream.
  * d/control: Update uploaders.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Sep 2015 14:36:59 -0400

python-saharaclient (0.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2015 14:15:42 +0200

python-saharaclient (0.9.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - d/control: Align dependencies and versions with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 23 Jun 2015 11:54:41 +0100

python-saharaclient (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Reviewed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Dec 2014 23:23:00 +0800

=== debian/control ===
Source: python-saharaclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.6),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel,
                     python-cliff (>= 1.14.0),
                     python-coverage,
                     python-hacking (>= 0.10.0),
                     python-keystoneclient (>= 1:1.6.0),
                     python-mock (>= 1.3),
                     python-netaddr (>= 0.7.12),
                     python-neutronclient (>= 1:2.6.0),
                     python-novaclient (>= 2:2.26.0),
                     python-openstackclient (>= 1.5.0),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-prettytable (>= 0.7),
                     python-requests (>= 2.5.2),
                     python-requests-mock (>= 0.6.0),
                     python-six (>= 1.9.0),
                     python-swiftclient (>= 1:2.2.0),
                     python-tempest-lib (>= 0.6.1),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-saharaclient.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/python-saharaclient.git
Homepage: https://github.com/openstack/python-saharaclient

Package: python-saharaclient
Architecture: all
Depends: python-babel (>= 1.3),
         python-cliff (>= 1.14.0),
         python-keystoneclient (>= 1:1.6.0),
         python-netaddr (>= 0.7.12),
         python-openstackclient (>= 1.5.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.utils (>= 2.0.0),
         python-pbr (>= 1.6),
         python-prettytable (>= 0.7),
         python-requests (>= 2.5.2),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: Client library for Openstack Sahara API server - Python 2.x module
 Sahara aims to provide users with simple means to provision a Hadoop cluster
 by specifying several parameters like Hadoop version, cluster topology, nodes
 hardware details and a few more.
 .
 This is a client for the Sahara which uses the OpenStack Image API. There's a
 Python API (the "saharaclient" module), and a command-line script ("sahara").

Package: python-saharaclient-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Client library for Openstack Sahara API server - documentation
 Sahara aims to provide users with simple means to provision a Hadoop cluster
 by specifying several parameters like Hadoop version, cluster topology, nodes
 hardware details and a few more.
 .
 This is a client for the Sahara which uses the OpenStack Image API. There's a
 Python API (the "saharaclient" module), and a command-line script ("sahara").
 .
 This package contains the documentation.

## python-saharaclient 0.14.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0

Babel>=1.3 # BSD
cliff!=1.16.0,!=1.17.0,>=1.15.0 # Apache-2.0
keystoneauth1>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
python-keystoneclient!=1.8.0,!=2.1.0,>=1.6.0 # Apache-2.0
python-openstackclient>=2.1.0 # Apache-2.0
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT
PrettyTable<0.8,>=0.7 # BSD

=== debian/changelog ===
python-saharaclient (0.14.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 12:43:42 +0000

python-saharaclient (0.14.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Apr 2016 15:26:29 +0200

python-saharaclient (0.13.0-2) experimental; urgency=medium

  * Downgrade openstackclient (build-)depends to 2.0.0 to avoid dependency
    loop.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 04:32:51 +0000

python-saharaclient (0.13.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Add python-sphinx-argparse to Build-Depends.
  * d/control, d/rules: Add Python3 support.
  * d/p/drop-doc-conf-git.patch: Drop git from sphinx config file
    file as git repository is not avialable during package builds.

  [ Thomas Goirand ]
  * Standards-Version: 3.9.7 (no change).
  * HTTPS VCS URLs.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 04:23:38 +0000

python-saharaclient (0.11.1-3) unstable; urgency=medium

  * Removed files failing unit test discovery with newer novaclient:
    - saharaclient/tests/integration/tests/test_vanilla.py
    - saharaclient/tests/integration/tests/test_vanilla2.py
    - saharaclient/tests/integration/tests/test_hdp.py

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Jan 2016 18:10:33 +0000

python-saharaclient (0.11.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 22:34:12 +0000

python-saharaclient (0.11.1-1) experimental; urgency=medium

  * New upstream release.
  * d/control: Align dependencies and versions with upstream.
  * d/control: Update uploaders.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Sep 2015 14:36:59 -0400

=== debian/control ===
Source: python-saharaclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
               python3-sphinx,
Build-Depends-Indep: python-babel,
                     python-cliff (>= 1.15.0),
                     python-coverage,
                     python-hacking (>= 0.10.0),
                     python-keystoneauth1 (>= 2.1.0),
                     python-keystoneclient (>= 1:1.6.0),
                     python-mock (>= 1.3),
                     python-neutronclient (>= 1:2.6.0),
                     python-novaclient (>= 2:2.29.0),
                     python-openstackclient (>= 2.0.0),
                     python-os-testr (>= 0.4.1),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-prettytable (>= 0.7),
                     python-requests (>= 2.8.1),
                     python-requests-mock (>= 0.7.0),
                     python-six (>= 1.9.0),
                     python-sphinx-argparse,
                     python-swiftclient (>= 1:2.2.0),
                     python-tempest-lib (>= 0.14.0),
                     python3-babel,
                     python3-cliff (>= 1.15.0),
                     python3-coverage,
                     python3-hacking (>= 0.10.0),
                     python3-keystoneauth1 (>= 2.1.0),
                     python3-keystoneclient (>= 1:1.6.0),
                     python3-mock (>= 1.3),
                     python3-neutronclient (>= 1:2.6.0),
                     python3-novaclient (>= 2:2.29.0),
                     python3-openstackclient (>= 2.0.0),
                     python3-os-testr (>= 0.4.1),
                     python3-oslo.config (>= 1:3.7.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.log (>= 1.14.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.5.0),
                     python3-oslotest (>= 1:1.10.0),
                     python3-prettytable (>= 0.7),
                     python3-requests (>= 2.8.1),
                     python3-requests-mock (>= 0.7.0),
                     python3-six (>= 1.9.0),
                     python3-sphinx-argparse,
                     python3-swiftclient (>= 1:2.2.0),
                     python3-tempest-lib (>= 0.14.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-saharaclient.git;a=summary
Vcs-Git: https://anonscm.debian.org/git/openstack/python-saharaclient.git
Homepage: https://github.com/openstack/python-saharaclient

Package: python-saharaclient
Architecture: all
Depends: python-babel (>= 1.3),
         python-cliff (>= 1.15.0),
         python-keystoneauth1 (>= 2.1.0),
         python-keystoneclient (>= 1:1.6.0),
         python-openstackclient (>= 2.0.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.5.0),
         python-pbr (>= 1.8),
         python-prettytable (>= 0.7),
         python-requests (>= 2.8.1),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: Client library for Openstack Sahara API server - Python 2.7 module
 Sahara aims to provide users with simple means to provision a Hadoop cluster
 by specifying several parameters like Hadoop version, cluster topology, nodes
 hardware details and a few more.
 .
 This is a client for the Sahara which uses the OpenStack Image API. There's a
 Python API (the "saharaclient" module), and a command-line script ("sahara").
 .
 This package provides the Python 2.7 module.

Package: python3-saharaclient
Architecture: all
Depends: python3-babel (>= 1.3),
         python3-cliff (>= 1.15.0),
         python3-keystoneauth1 (>= 2.1.0),
         python3-keystoneclient (>= 1:1.6.0),
         python3-openstackclient (>= 2.0.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.log (>= 1.14.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.5.0),
         python3-pbr (>= 1.8),
         python3-prettytable (>= 0.7),
         python3-requests (>= 2.8.1),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Description: Client library for Openstack Sahara API server - Python 3.x module
 Sahara aims to provide users with simple means to provision a Hadoop cluster
 by specifying several parameters like Hadoop version, cluster topology, nodes
 hardware details and a few more.
 .
 This is a client for the Sahara which uses the OpenStack Image API. There's a
 Python API (the "saharaclient" module), and a command-line script ("sahara").
 .
 This package provides the Python 3.x module.

Package: python-saharaclient-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Client library for Openstack Sahara API server - documentation
 Sahara aims to provide users with simple means to provision a Hadoop cluster
 by specifying several parameters like Hadoop version, cluster topology, nodes
 hardware details and a few more.
 .
 This is a client for the Sahara which uses the OpenStack Image API. There's a
 Python API (the "saharaclient" module), and a command-line script ("sahara").
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -7,21 +7,36 @@
 export OSLO_PACKAGE_VERSION=$(VERSION)
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
 override_dh_auto_install:
 	set -e && for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python-saharaclient; \
 	done
+	set -e && for pyvers in $(PYTHON3S); do \
+		python$$pyvers setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/python3-saharaclient; \
+	done
+
+	mv $(CURDIR)/debian/python-saharaclient/usr/bin/sahara $(CURDIR)/debian/python-saharaclient/usr/bin/python2-sahara
+	mv $(CURDIR)/debian/python3-saharaclient/usr/bin/sahara $(CURDIR)/debian/python3-saharaclient/usr/bin/python3-sahara
+
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	set -e ; \
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	@echo "===> Running tests"
+	set -e ; set -x ; for i in $(PYTHONS) $(PYTHON3S) ; do \
+		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
+		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+		rm -rf .testrepository ; \
+		testr-python$$PYMAJOR init ; \
 		TEMP_REZ=`mktemp -t` ; \
-		python setup.py testr --slowest --testr-args='--subunit  ' | tee $$TEMP_REZ | subunit2pyunit || true ; \
-		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true ; \
-		rm -f $$TEMP_REZ
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit saharaclient.tests.unit | tee $$TEMP_REZ | subunit2pyunit ; \
+		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
+		rm -f $$TEMP_REZ ; \
+		testr-python$$PYMAJOR slowest ; \
+	done
 endif
 
 override_dh_installman:

## python-saharaclient 0.15.0

=== debian/changelog ===
python-saharaclient (0.15.0-1+2~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 12 Sep 2016 15:24:21 +0000

python-saharaclient (0.15.0-1) experimental; urgency=medium

  [ Ivan Udovichenko ]
  * d/*.postinst,*.postrm,*.prerm: Update alternatives of saharaclient binaries.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{test,install} from openstack-pkg-tools >= 52~.
  * Removed remove-failing-unit-discovery.patch.
  * Standards-Version is now 3.9.8.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jul 2016 10:31:48 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends: debhelper (>= 9),
                dh-python,
-               openstack-pkg-tools,
+               openstack-pkg-tools (>= 52~),
                python-all,
                python-pbr (>= 1.8),
                python-setuptools,
@@ -15,76 +15,68 @@
                python3-pbr (>= 1.8),
                python3-setuptools,
                python3-sphinx,
-Build-Depends-Indep: python-babel,
+Build-Depends-Indep: python-babel (>= 2.3.4),
                      python-cliff (>= 1.15.0),
                      python-coverage,
                      python-hacking (>= 0.10.0),
                      python-keystoneauth1 (>= 2.1.0),
-                     python-keystoneclient (>= 1:1.6.0),
-                     python-mock (>= 1.3),
-                     python-neutronclient (>= 1:2.6.0),
-                     python-novaclient (>= 2:2.29.0),
+                     python-keystoneclient (>= 1:1.7.0),
+                     python-mock (>= 2.0),
                      python-openstackclient (>= 2.0.0),
-                     python-os-testr (>= 0.4.1),
-                     python-oslo.config (>= 1:3.7.0),
+                     python-os-testr (>= 0.7.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 1.14.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.utils (>= 3.5.0),
+                     python-oslo.utils (>= 3.11.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1:1.10.0),
                      python-prettytable (>= 0.7),
-                     python-requests (>= 2.8.1),
+                     python-requests (>= 2.10.0),
                      python-requests-mock (>= 0.7.0),
                      python-six (>= 1.9.0),
                      python-sphinx-argparse,
-                     python-swiftclient (>= 1:2.2.0),
                      python-tempest-lib (>= 0.14.0),
-                     python3-babel,
+                     python3-babel (>= 2.3.4),
                      python3-cliff (>= 1.15.0),
                      python3-coverage,
                      python3-hacking (>= 0.10.0),
                      python3-keystoneauth1 (>= 2.1.0),
-                     python3-keystoneclient (>= 1:1.6.0),
-                     python3-mock (>= 1.3),
-                     python3-neutronclient (>= 1:2.6.0),
-                     python3-novaclient (>= 2:2.29.0),
+                     python3-keystoneclient (>= 1:1.7.0),
+                     python3-mock (>= 2.0),
                      python3-openstackclient (>= 2.0.0),
-                     python3-os-testr (>= 0.4.1),
-                     python3-oslo.config (>= 1:3.7.0),
+                     python3-os-testr (>= 0.7.0),
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.log (>= 1.14.0),
                      python3-oslo.serialization (>= 1.10.0),
-                     python3-oslo.utils (>= 3.5.0),
+                     python3-oslo.utils (>= 3.11.0),
                      python3-oslotest (>= 1:1.10.0),
                      python3-prettytable (>= 0.7),
-                     python3-requests (>= 2.8.1),
+                     python3-requests (>= 2.10.0),
                      python3-requests-mock (>= 0.7.0),
                      python3-six (>= 1.9.0),
                      python3-sphinx-argparse,
-                     python3-swiftclient (>= 1:2.2.0),
                      python3-tempest-lib (>= 0.14.0),
                      subunit,
                      testrepository,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-saharaclient.git;a=summary
 Vcs-Git: https://anonscm.debian.org/git/openstack/python-saharaclient.git
 Homepage: https://github.com/openstack/python-saharaclient
 
 Package: python-saharaclient
 Architecture: all
-Depends: python-babel (>= 1.3),
+Depends: python-babel (>= 2.3.4),
          python-cliff (>= 1.15.0),
          python-keystoneauth1 (>= 2.1.0),
-         python-keystoneclient (>= 1:1.6.0),
+         python-keystoneclient (>= 1:1.7.0),
          python-openstackclient (>= 2.0.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 1.14.0),
          python-oslo.serialization (>= 1.10.0),
-         python-oslo.utils (>= 3.5.0),
+         python-oslo.utils (>= 3.11.0),
          python-pbr (>= 1.8),
          python-prettytable (>= 0.7),
-         python-requests (>= 2.8.1),
+         python-requests (>= 2.10.0),
          python-six (>= 1.9.0),
          ${misc:Depends},
          ${python:Depends},
@@ -100,18 +92,18 @@
 
 Package: python3-saharaclient
 Architecture: all
-Depends: python3-babel (>= 1.3),
+Depends: python3-babel (>= 2.3.4),
          python3-cliff (>= 1.15.0),
          python3-keystoneauth1 (>= 2.1.0),
-         python3-keystoneclient (>= 1:1.6.0),
+         python3-keystoneclient (>= 1:1.7.0),
          python3-openstackclient (>= 2.0.0),
          python3-oslo.i18n (>= 2.1.0),
          python3-oslo.log (>= 1.14.0),
          python3-oslo.serialization (>= 1.10.0),
-         python3-oslo.utils (>= 3.5.0),
+         python3-oslo.utils (>= 3.11.0),
          python3-pbr (>= 1.8),
          python3-prettytable (>= 0.7),
-         python3-requests (>= 2.8.1),
+         python3-requests (>= 2.10.0),
          python3-six (>= 1.9.0),
          ${misc:Depends},
          ${python3:Depends},

## python-saharaclient 0.18.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.6 # Apache-2.0

Babel>=2.3.4 # BSD
keystoneauth1>=2.10.0 # Apache-2.0
osc-lib>=1.0.2 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
python-keystoneclient!=2.1.0,>=2.0.0 # Apache-2.0
python-openstackclient>=2.1.0 # Apache-2.0
requests>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT
PrettyTable<0.8,>=0.7 # BSD

=== debian/changelog ===
python-saharaclient (0.18.0-2+1~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 22:02:04 +0000

python-saharaclient (0.18.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit as VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Tue, 13 Sep 2016 18:59:58 +0200

=== debian/control ===
--- 
+++ 
@@ -19,20 +19,21 @@
                      python-cliff (>= 1.15.0),
                      python-coverage,
                      python-hacking (>= 0.10.0),
-                     python-keystoneauth1 (>= 2.1.0),
-                     python-keystoneclient (>= 1:1.7.0),
+                     python-keystoneauth1 (>= 2.10.0),
+                     python-keystoneclient (>= 1:2.0.0),
                      python-mock (>= 2.0),
                      python-openstackclient (>= 2.0.0),
                      python-os-testr (>= 0.7.0),
+                     python-osc-lib (>= 1.0.2),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 1.14.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.utils (>= 3.11.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1:1.10.0),
                      python-prettytable (>= 0.7),
                      python-requests (>= 2.10.0),
-                     python-requests-mock (>= 0.7.0),
+                     python-requests-mock (>= 1.0),
                      python-six (>= 1.9.0),
                      python-sphinx-argparse,
                      python-tempest-lib (>= 0.14.0),
@@ -40,40 +41,42 @@
                      python3-cliff (>= 1.15.0),
                      python3-coverage,
                      python3-hacking (>= 0.10.0),
-                     python3-keystoneauth1 (>= 2.1.0),
-                     python3-keystoneclient (>= 1:1.7.0),
+                     python3-keystoneauth1 (>= 2.10.0),
+                     python3-keystoneclient (>= 1:2.0.0),
                      python3-mock (>= 2.0),
                      python3-openstackclient (>= 2.0.0),
                      python3-os-testr (>= 0.7.0),
+                     python3-osc-lib (>= 1.0.2),
                      python3-oslo.i18n (>= 2.1.0),
                      python3-oslo.log (>= 1.14.0),
                      python3-oslo.serialization (>= 1.10.0),
-                     python3-oslo.utils (>= 3.11.0),
+                     python3-oslo.utils (>= 3.16.0),
                      python3-oslotest (>= 1:1.10.0),
                      python3-prettytable (>= 0.7),
                      python3-requests (>= 2.10.0),
-                     python3-requests-mock (>= 0.7.0),
+                     python3-requests-mock (>= 1.0),
                      python3-six (>= 1.9.0),
                      python3-sphinx-argparse,
                      python3-tempest-lib (>= 0.14.0),
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/python-saharaclient.git;a=summary
-Vcs-Git: https://anonscm.debian.org/git/openstack/python-saharaclient.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-saharaclient?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-saharaclient -b debian/newton
 Homepage: https://github.com/openstack/python-saharaclient
 
 Package: python-saharaclient
 Architecture: all
 Depends: python-babel (>= 2.3.4),
          python-cliff (>= 1.15.0),
-         python-keystoneauth1 (>= 2.1.0),
-         python-keystoneclient (>= 1:1.7.0),
+         python-keystoneauth1 (>= 2.10.0),
+         python-keystoneclient (>= 1:2.0.0),
          python-openstackclient (>= 2.0.0),
+         python-osc-lib (>= 1.0.2),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 1.14.0),
          python-oslo.serialization (>= 1.10.0),
-         python-oslo.utils (>= 3.11.0),
+         python-oslo.utils (>= 3.16.0),
          python-pbr (>= 1.8),
          python-prettytable (>= 0.7),
          python-requests (>= 2.10.0),
@@ -94,13 +97,14 @@
 Architecture: all
 Depends: python3-babel (>= 2.3.4),
          python3-cliff (>= 1.15.0),
-         python3-keystoneauth1 (>= 2.1.0),
-         python3-keystoneclient (>= 1:1.7.0),
+         python3-keystoneauth1 (>= 2.10.0),
+         python3-keystoneclient (>= 1:2.0.0),
          python3-openstackclient (>= 2.0.0),
+         python3-osc-lib (>= 1.0.2),
          python3-oslo.i18n (>= 2.1.0),
          python3-oslo.log (>= 1.14.0),
          python3-oslo.serialization (>= 1.10.0),
-         python3-oslo.utils (>= 3.11.0),
+         python3-oslo.utils (>= 3.16.0),
          python3-pbr (>= 1.8),
          python3-prettytable (>= 0.7),
          python3-requests (>= 2.10.0),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test saharaclient.tests.unit
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b man doc/source doc/build/man
	cp doc/build/man/saharaclient.1 doc/build/man/sahara.1
	dh_installman -O--buildsystem=python_distutils
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/python-saharaclient-doc/usr/share/doc/python-saharaclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf doc/build

## python-saharaclient 1.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=1.8 # Apache-2.0

Babel>=2.3.4 # BSD
keystoneauth1>=2.18.0 # Apache-2.0
osc-lib>=1.2.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
python-openstackclient>=3.3.0 # Apache-2.0
requests!=2.12.2,>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
python-saharaclient (1.1.0-2) unstable; urgency=medium

  * Remove pre/postrm and postinst

 -- David Homolka <david.homolka@ultimum.io>  Tue, 22 Aug 2017 13:10:00 +0200

python-saharaclient (1.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- David Homolka <david.homolka@ultimum.io>  Mon, 21 Aug 2017 17:30:00 +0200

python-saharaclient (0.18.0-3) UNRELEASED; urgency=medium

  * Bumped debhelper compat version to 10

 -- Ondřej Nový <onovy@debian.org>  Thu, 24 Nov 2016 00:11:19 +0100

python-saharaclient (0.18.0-2) unstable; urgency=medium

  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:15:03 +0200

=== debian/control ===
Source: python-saharaclient
Section: python
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 10),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
               python3-sphinx,
Build-Depends-Indep: python-babel (>= 2.3.4),
                     python-cliff (>= 1.15.0),
                     python-coverage (>= 4.0),
                     python-hacking (>= 0.10.0),
                     python-keystoneauth1 (>= 2.18.0),
                     python-mock (>= 2.0),
                     python-openstackclient (>= 3.3.0),
                     python-os-testr (>= 0.8.0),
                     python-osc-lib (>= 1.2.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1:1.10.0),
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.1),
                     python-six (>= 1.9.0),
                     python-sphinx-argparse,
                     python-tempest-lib (>= 0.14.0),
                     python3-babel (>= 2.3.4),
                     python3-cliff (>= 1.15.0),
                     python3-coverage (>= 4.0),
                     python3-hacking (>= 0.10.0),
                     python3-keystoneauth1 (>= 2.18.0),
                     python3-mock (>= 2.0),
                     python3-openstackclient (>= 3.3.0),
                     python3-os-testr (>= 0.8.0),
                     python3-osc-lib (>= 1.2.0),
                     python3-oslo.i18n (>= 2.1.0),
                     python3-oslo.log (>= 3.11.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.18.0),
                     python3-oslosphinx (>= 4.7.0),
                     python3-oslotest (>= 1:1.10.0),
                     python3-requests (>= 2.10.0),
                     python3-requests-mock (>= 1.1),
                     python3-six (>= 1.9.0),
                     python3-sphinx-argparse,
                     python3-tempest-lib (>= 0.14.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-saharaclient.git/?h=debian%2Focata
Vcs-Git: https://anonscm.debian.org/git/openstack/old/gerrit/deb-python-saharaclient.git -b debian/ocata
Homepage: https://github.com/openstack/python-saharaclient

Package: python-saharaclient
Architecture: all
Depends: python-babel (>= 2.3.4),
         python-cliff (>= 1.15.0),
         python-keystoneauth1 (>= 2.18.0),
         python-openstackclient (>= 3.3.0),
         python-osc-lib (>= 1.2.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-pbr (>= 1.8),
         python-requests (>= 2.10.0),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Description: Client library for Openstack Sahara API server - Python 2.7 module
 Sahara aims to provide users with simple means to provision a Hadoop cluster
 by specifying several parameters like Hadoop version, cluster topology, nodes
 hardware details and a few more.
 .
 This is a client for the Sahara which uses the OpenStack Image API. There's a
 Python API (the "saharaclient" module), and a command-line script ("sahara").
 .
 This package provides the Python 2.7 module.

Package: python3-saharaclient
Architecture: all
Depends: python3-babel (>= 2.3.4),
         python3-cliff (>= 1.15.0),
         python3-keystoneauth1 (>= 2.18.0),
         python3-openstackclient (>= 3.3.0),
         python3-osc-lib (>= 1.2.0),
         python3-oslo.i18n (>= 2.1.0),
         python3-oslo.log (>= 3.11.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.18.0),
         python3-pbr (>= 1.8),
         python3-requests (>= 2.10.0),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Description: Client library for Openstack Sahara API server - Python 3.x module
 Sahara aims to provide users with simple means to provision a Hadoop cluster
 by specifying several parameters like Hadoop version, cluster topology, nodes
 hardware details and a few more.
 .
 This is a client for the Sahara which uses the OpenStack Image API. There's a
 Python API (the "saharaclient" module), and a command-line script ("sahara").
 .
 This package provides the Python 3.x module.

Package: python-saharaclient-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Client library for Openstack Sahara API server - documentation
 Sahara aims to provide users with simple means to provision a Hadoop cluster
 by specifying several parameters like Hadoop version, cluster topology, nodes
 hardware details and a few more.
 .
 This is a client for the Sahara which uses the OpenStack Image API. There's a
 Python API (the "saharaclient" module), and a command-line script ("sahara").
 .
 This package contains the documentation.
